﻿var locLocalizedText = new LocalizeMeShared.Data.Base() { NameSpace = "Text", TypeOfResource = LocalizeMeShared.Enums.TypesOfResource.Messages };
var locLocalizedTips = new LocalizeMeShared.Data.Base() { NameSpace = "Tips", TypeOfResource = LocalizeMeShared.Enums.TypesOfResource.Messages };

locLocalizedText.ResourceData.AddRange(LocalizationPreparings.Text.Prepare.GetData());
locLocalizedTips.ResourceData.AddRange(LocalizationPreparings.Tips.Prepare.GetData());

var locListOfBaseData = new List<LocalizeMeShared.Data.Base>();
locListOfBaseData.Add(locLocalizedText);
locListOfBaseData.Add(locLocalizedTips);

var locFactory = new LocalizeMe.Standard.Factory();
locFactory.CleanFolder(@"..\CommunityLocalization").CreateProject(LocalizeMeShared.Enums.TypesOfProject.Net6).CreateResourceFiles(locListOfBaseData).Compile();

Console.ReadLine();
